<!DOCTYPE html>
<html>
    <head>
        <title>Beyond Earth - New Account</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.0-beta2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-BmbxuPwQa2lc/FVzBcNJ7UAyJxM6wuqIj61tLrc4wSX0szH/Ev+nYRRuWlolflfl" crossorigin="anonymous">
		
		<style>
			html,
			body,
			header,
			#intro {
				height: 100%;
			}

			#intro {
				background: url("https://cdn.wallpapersafari.com/7/13/m41EI8.jpg")no-repeat center center fixed;
				-webkit-background-size: cover;
				-moz-background-size: cover;
				-o-background-size: cover;
				background-size: cover;

			}
			.nav-item:hover {
				background-color:black;
			}
            .col-md-10{color:azure}
            .input-group{display:flex; justify-content: center;}
		</style>
	</head>
	
	<body>
		<!--Main Navigation-->
		<header>

			<!--Navbar-->
			<nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar">

				<div class="container">

					<!-- Navbar brand -->
					<a class="navbar-brand" href="./launch.html">Launch</a>

					<!-- Collapse button -->
					<button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#basicExampleNav"
						aria-controls="basicExampleNav" aria-expanded="false" aria-label="Toggle navigation">
						<span class="navbar-toggler-icon"></span>
					</button>

					<!-- Collapsible content -->
					<div class="collapse navbar-collapse" id="basicExampleNav">

						<!-- Links -->
						<ul class="navbar-nav mr-auto smooth-scroll">
							<li class="nav-item">
								<a class="nav-link" href="./home.html">Home</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" href='./login.html'>Login</a>
							</li>
						</ul>
						<!-- Links -->

					</div>
					<!-- Collapsible content -->

				</div>

			</nav>
			<!--/.Navbar-->

			<!--Mask-->
			<div id="intro" class="view">

				<div class="mask rgba-black-strong">

					<div class="container-fluid d-flex align-items-center justify-content-center h-100">

						<div class="row d-flex justify-content-center text-center">

							<div class="col-md-10">
                                </br></br></br></br></br></br></br></br></br>
								<!-- Heading -->
								<h2 class="display-4 font-weight-bold white-text pt-5 mb-2">Welcome!</h2>

								<!-- Divider -->
								<hr class="hr-light">

								<!-- Description -->
								<h4 class="white-text my-4">Join us in our adventures beyond Earth!</h4>
								<button type="button" class="btn btn-outline-light" onclick="window.location.href='#client-setup'">Get Started<i class="fa fa-book ml-2"></i></button>

							</div>

						</div>

					</div>

				</div>

			</div>
			<!--/.Mask-->

		</header>
		<!--Main Navigation-->

		<!--Main layout-->
		<main class="mt-5">
			<div class="container">

				<section id="client-setup" class="text-center">

					<!-- Heading -->
					<h2 class="mb-5 font-weight-bold">Account Setup</h2>
                    
					      <form id="new-client-form" class="row g-3 needs-validation" novalidate>
                        <div class="row g-2">
                            <div class="col-md">
                              <div class="form-floating">
                                <input type="username" class="form-control" id="username" placeholder="name@example.com" required>
                                <label for="username">Username</label>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                              </div>
                            </div>
                            <div class="col-md">
                              <div class="form-floating">
                                <select class="form-select" id="role" onchange="checkValue(this.value)" aria-label="Floating label select example" required>
                                  <option selected>Select a role</option>
                                  <option value="Passenger">Passenger (Recommended)</option>
                                  <option value="Commander">Commander</option>
                                  <option value="Administrator">Administrator</option>
                                </select>
                                <label for="role">Account Role</label>
                              </div>
                            </div>
                        </div>
                        <div class="row g-2">
                            <div class="col-md">
                              <div class="form-floating">
                                <input type="password" class="form-control" id="password" placeholder="name@example.com" required>
                                <label for="password">Password</label>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                              </div>
                            </div>
                            <div class="col-md">
                                <div class="form-floating">
                                  <input type="password" class="form-control" id="password2" placeholder="name@example.com" required>
                                  <label for="password2">Re-enter Password</label>
                                  <div class="valid-feedback">
                                      Looks good!
                                  </div>
                                </div>
                            </div>
                        </div>
						            <div class="row g-2">
                            <div class="col-md">
                              <div class="form-floating">
                                <input type="text" class="form-control" id="fullName" placeholder="Full Name" disabled>
                                <label for="floatingInputGrid">Full Name</label>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                              </div>
                            </div>
                            <div class="col-md">
                                <div class="form-floating">
                                  <input type="text" class="form-control" id="adminAllocation" placeholder="Allocation" disabled>
                                  <label for="floatingInputGrid">Allocation</label>
                                  <div class="valid-feedback">
                                      Looks good!
                                  </div>
                                </div>
                            </div>
                        </div>
						            <div class="row g-2">
                            <div class="col-md">
                              <div class="form-floating">
                                <input type="text" class="form-control" id="commanderName" placeholder="Full Name" disabled>
                                <label for="floatingInputGrid">Full Name</label>
                                <div class="valid-feedback">
                                    Looks good!
                                </div>
                              </div>
                            </div>
                            <div class="col-md">
                                <div class="form-floating">
                                  <input type="text" class="form-control" id="commanderLaunchSite" placeholder="name@example.com" disabled>
                                  <label for="floatingInputGrid">Launch Site</label>
                                  <div class="valid-feedback">
                                      Looks good!
                                  </div>
                                </div>
                            </div>
                        </div>
                        <div id="password-error" hidden></div>
                        <div class="col-12">
                          <button class="btn btn-outline-dark" type="submit">Become an Explorer</button>
                        </div>
                </form>
                        
                



				</section>
				<!--Section: Best Features-->

				<hr class="my-5">

			</div>
		</main>
		<!--Main layout-->
		
		<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>
		<script src='server-requests.js'></script>
    <script src="new-account.js"></script>
	</body>
</html>